from Products.CMFCore.CMFCorePermissions import setDefaultRoles

# Basic permissions
from Products.CMFCore.CMFCorePermissions import View
from Products.CMFCore.CMFCorePermissions import ModifyPortalContent
from Products.CMFCore.CMFCorePermissions import AddPortalContent
from Products.CMFCore.CMFCorePermissions import AccessContentsInformation
from Products.CMFCore.CMFCorePermissions import ListFolderContents

AddBoards = "PloneJobBoard: Add boards"
AddPostings = "PloneJobBoard: Add postings"
AddResponses = "PloneJobBoard: Add responses"

setDefaultRoles(AddBoards, ('Manager',))
setDefaultRoles(AddPostings, ('Manager','Owner',))
setDefaultRoles(AddResponses, ('Manager', 'Member',))

DEFAULT_ADD_CONTENT_PERMISSION = AddPortalContent
ADD_CONTENT_PERMISSIONS = {
    'JobCategory'    : AddBoards,
    'JobSubCategory' : AddBoards,
    'JobBoard'       : AddBoards,
    'JobPosting'     : AddPostings,
    'JobResponse'    : AddResponses,
}